## org.apache.hadoop.util
Class MergeSort

    java.lang.Object
      org.apache.hadoop.util.MergeSort

    public class MergeSort

extends Object

An implementation of the core algorithm of MergeSort.

Constructor Summary
`MergeSort(Comparator<IntWritable> comparator)`

Method Summary
`void` `mergeSort(int[] src, int[] dest, int low, int high)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeSort

    public MergeSort(Comparator<IntWritable> comparator)

Method Detail

### mergeSort

    public void mergeSort(int[] src,
                          int[] dest,
                          int low,
                          int high)

Copyright © 2009 The Apache Software Foundation